Dim Sampname As String
Dim savedir As String

Sub Main
	
	
	Dim Cont1 As Long		'dje 6/04 tested and verified
	Dim bInit As Long
	Dim Obj1 As Long
	Dim Scancount As Integer
	Dim NumSam As String
	
	
	Begin Dialog UserDialog 400,210,"Autosampling" ' %GRID:10,7,1,1
		GroupBox 10,21,360,105,"Collect Samples",.GroupBox1
		Text 25,49,230,21,"Enter number of Samples to collect:",.LabelEnterNumScan
		TextBox 270,49,80,14,.NumSam
		OKButton 20,182,130,21
		CancelButton 240,182,120,21
		Text 20,84,180,14,"Collect a new background?"
		OptionGroup .Group1
			OptionButton 230,70,110,21,"Yes",.OptionButton1
			OptionButton 230,98,90,14,"No",.OptionButton2
		Text 20,126,200,14,"Subdirectory to save spectra:"
		TextBox 20,147,320,21,.savedir
	End Dialog
	Dim dlg As UserDialog
	dlg.group1=0
	dlg.numsam="0"
	dlg.savedir="C:\AutoPRO5\Spectra"
	Dialog dlg

	Sampname=dlg.savedir & "\" & "AP"
    scancount=CInt(dlg.NumSam)
	
	On Error GoTo exitinitloop
'	X = Shell("c:\autopro5\ap5.exe\init.exe") ' run the init program, changed the path for Win7 and XP installer compatability
   
   X = Shell("C:\Program Files\Pike Technologies(x86)\AutoPRO5\init.exe") ' run the init program, 
   
	While x <>0
	 AppActivate X
    Wend
   	
   	exitinitloop:
'	  MsgBox "Done with ap5 init.exe"
	  
'	Cont1 = NewContainer(c:\MyScanCont.smf)
	' Check if already initialized
	bInit = FTIRIsInitialized
	If bInit = 0 Then
	
		' Initialize the FTIR
		FTIRInitialize	
		
	wt = Timer + MaxInitDuration
		While bInit = 0 And Timer < wt
			Wait 1
			bInit = FTIRIsInitialized
			If bInit Then 
				MsgBox("FTIR initialized")			
				GoTo InitOK
			End If
		Wend
		MsgBox("FTIR Init Timeout")
InitOK:
	Else
	'	MsgBox("FTIR already initialized")

End If
'	FTIRSetParameter("IntensityMode", "Interferogram")
	
'	FTIRSetParameter("No of Scans", "3")
	FTIRSetParameter("Text", "PIKE Technologies Autosampling")
	
	If dlg.group1=0 Then
	  FTIRBKG (cont1)
  	  Do
	  Loop While FTIRIsBusy 					'dje 8/03 this works better
	End If

For i = 1 To scancount
	On Error GoTo exitnextloop
	
	X = Shell("C:\Program Files(x86)\Pike Technologies\AutoPRO5\next.exe") 		' run the next program
    While x <>0
	 AppActivate X
    Wend
    
    exitnextloop:
    '	MsgBox "Done with next"
    
    On Error Resume Next
     
'	FTIRScan(cont1)
	ScanSample(i)					'this argument is used for naming

	Next i
	
' FTIRScan(cont1)
'	scansample
	
	

    
End Sub

Sub ScanSample(scanctr As Long)

Dim idCont As Variant
Dim tempsampname As String

tempsampname = sampname & scanctr & ".smf"

	idCont = NewContainer(tempsampname)
	FTIRScan( idCont )
	
	If bMeasure = 0 Then 
	'	MsgBox("Measurement start failed")
	Else
'		WaitMeasureReady
		nObj = GetNoOfObjects(idCont)

	End If
	
	Do
	Loop While FTIRIsBusy 
	
	SaveContainer(idcont)
		
End Sub

Sub WaitMeasureReady

 	Dim bMeasure As Long
 	Dim wt As Variant
 	
	wt = Timer + MaxMeasureDuration
	bMeasure = FTIRIsBusy
	While bMeasure <> 0  And Timer < wt
		Wait 1
		bMeasure = FTIRIsBusy
		If bMeasure = 0 Then 
			GoTo MeasureOK
		End If
	Wend
	MsgBox("Measurement Timeout")

MeasureOK:

End Sub

